< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package box
  Definition Classes
    ct
-  package computations
  Definition Classes
    ct
-  package ct600
  Definition Classes
    ct
-  package ct600a
  Definition Classes
    ct
-  package ct600e
  Definition Classes
    ct
-  package ct600j
  Definition Classes
    ct
-  package domain
  Definition Classes
    ct
-  package utils
  Definition Classes
    ct
-  package validation
  Definition Classes
    ct
-  package version
  Definition Classes
    ct
- AbbreviatedAccountsFiling
- AbridgedFiling
- CATO01
- CATO02
- CATO03
- CATO04
- CATO10
- CATO11
- CATO12
- CATO13
- CATO14
- CATO15
- CATO16
- CATO19
- CATO20
- CATO21
- CATO22
- CATO23
- CATO24
- CoHoAccountsApprovalRequired
- CompaniesHouseFiling
- CompaniesHouseSubmitted
- CountryOfRegistration
- FilingCompanyType
- HMRCAmendment
- HMRCFiling
- HMRCSubmitted
- HmrcAccountsApprovalRequired
- HmrcAccountsApprovalRequiredCalculator
- MicroEntityFiling
- RoundingFunctions
- StatutoryAccountsFiling
- UTR

o

uk.gov.hmrc.ct

# CoHoAccountsApprovalRequired 

###
Companion class CoHoAccountsApprovalRequired

#### object CoHoAccountsApprovalRequired extends Linked[CompaniesHouseFiling, CoHoAccountsApprovalRequired] with Serializable

Linear Supertypes
Serializable, Serializable, Linked[CompaniesHouseFiling, CoHoAccountsApprovalRequired], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CoHoAccountsApprovalRequired
2. Serializable
3. Serializable
4. Linked
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(coHoFiling: CompaniesHouseFiling): CoHoAccountsApprovalRequired
   Definition Classes
     CoHoAccountsApprovalRequired → Linked
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Linked[CompaniesHouseFiling, CoHoAccountsApprovalRequired]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped